# $Revision: 1.10 $, $Date: 2005/06/17 22:25:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	RPM2 - Perl bindings for the RPM Package Manager API
Summary(pl):	RPM2 - dowizania do API zarzdcy pakietw RPM
Name:		perl-RPM2
Version:	0.66
Release:	5
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/RPM/CHIPT/RPM2-%{version}.tar.gz
# Source0-md5:	3e53f141c7160f1b82087e93c6295240
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-devel >= 4.4.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The RPM2 module provides an object-oriented interface to querying both
the installed RPM database as well as files on the filesystem.

%description -l pl
Modu RPM2 dostarcza obiektowo zorientowany interfejs do zapyta
dotyczcych zarwno bazy zainstalowanych pakietw RPM, jak i plikw
obecnych w systemie.

%prep
%setup -q -n RPM2-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/RPM2.pm
%dir %{perl_vendorarch}/auto/RPM2
%{perl_vendorarch}/auto/RPM2/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/RPM2/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RPM2.spec,v $
Revision 1.10  2005/06/17 22:25:00  arekm
- rel up; bump BR to rpm-devel >= 4.4.1

Revision 1.9  2005/06/17 16:34:43  baggins
- rel 4 to rebuild with rpm 4.4.1

Revision 1.8  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.7  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.6  2004/04/29 21:33:40  ankry
- tests added

Revision 1.5  2004/04/15 09:23:51  ankry
- cosmetics, unknown license

Revision 1.4  2004/04/14 15:49:13  adamg
- updated to 0.66

Revision 1.3  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.2  2003/09/05 07:54:15  qboosh
- pl description, pass OPTIMIZE, missing dir

Revision 1.1  2003/09/04 21:14:27  krzak
- initial
